Index: EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/trng_api.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/trng_api.c	(revision 429)
+++ EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/trng_api.c	(revision 429)
@@ -0,0 +1,43 @@
+/* mbed Microcontroller Library
+ * Copyright (c) 2006-2017 ARM Limited
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+
+#if defined(DEVICE_TRNG)
+#include "trng_api.h"
+
+#if defined(TARGET_GR_LYCHEE) || defined(TARGET_RZA1H)
+
+extern void trng_init_esp32(void);
+extern void trng_free_esp32(void);
+extern int trng_get_bytes_esp32(uint8_t *output, size_t length, size_t *output_length);
+
+void trng_init(trng_t *obj)
+{
+    trng_init_esp32();
+}
+
+void trng_free(trng_t *obj)
+{
+    trng_free_esp32();
+}
+
+int trng_get_bytes(trng_t *obj, uint8_t *output, size_t length, size_t *output_length)
+{
+    return trng_get_bytes_esp32(output, length, output_length);
+}
+#else
+#error "There is no initialization processing."
+#endif
+#endif
Index: EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/us_ticker.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/us_ticker.c	(revision 429)
+++ EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/us_ticker.c	(revision 429)
@@ -0,0 +1,90 @@
+/* mbed Microcontroller Library
+ * Copyright (c) 2006-2013 ARM Limited
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+#include "us_ticker_api.h"
+#include "mbed_drv_cfg.h"
+
+#define SHIFT_NUM      5  /* P0/32 */
+
+static int us_ticker_inited = 0;
+
+void us_ticker_init(void)
+{
+    GIC_DisableIRQ(OSTMI1TINT_IRQn);
+    GIC_ClearPendingIRQ(OSTMI1TINT_IRQn);
+
+    /* Power Control for Peripherals      */
+    CPGSTBCR5 &= ~(CPG_STBCR5_BIT_MSTP50); /* enable OSTM1 clock */
+
+    if (us_ticker_inited) return;
+    us_ticker_inited = 1;
+
+    // timer settings
+    OSTM1TT   = 0x01;    /* Stop the counter and clears the OSTM1TE bit.     */
+    OSTM1CTL  = 0x02;    /* Free running timer mode. Interrupt disabled when star counter  */
+
+    OSTM1TS   = 0x1;     /* Start the counter and sets the OSTM0TE bit.     */
+
+    // INTC settings
+    InterruptHandlerRegister(OSTMI1TINT_IRQn, (void (*)(uint32_t))us_ticker_irq_handler);
+    GIC_SetPriority(OSTMI1TINT_IRQn, 5);
+    GIC_SetConfiguration(OSTMI1TINT_IRQn, 3);
+}
+
+void us_ticker_free(void)
+{
+    GIC_DisableIRQ(OSTMI1TINT_IRQn);
+    GIC_ClearPendingIRQ(OSTMI1TINT_IRQn);
+
+    /* Power Control for Peripherals      */
+    CPGSTBCR5 |= (CPG_STBCR5_BIT_MSTP50); /* disable OSTM1 clock */
+}
+
+uint32_t us_ticker_read()
+{
+    return (uint32_t)(OSTM1CNT >> SHIFT_NUM);
+}
+
+void us_ticker_set_interrupt(timestamp_t timestamp)
+{
+    OSTM1CMP = (uint32_t)(timestamp << SHIFT_NUM);
+    GIC_EnableIRQ(OSTMI1TINT_IRQn);
+}
+
+void us_ticker_fire_interrupt(void)
+{
+    GIC_SetPendingIRQ(OSTMI1TINT_IRQn);
+    GIC_EnableIRQ(OSTMI1TINT_IRQn);
+}
+
+void us_ticker_disable_interrupt(void)
+{
+    GIC_DisableIRQ(OSTMI1TINT_IRQn);
+}
+
+void us_ticker_clear_interrupt(void)
+{
+    GIC_ClearPendingIRQ(OSTMI1TINT_IRQn);
+}
+
+const ticker_info_t* us_ticker_get_info()
+{
+    static const ticker_info_t info = {
+        (uint32_t)((float)RENESAS_RZ_A1_P0_CLK / (float)(1 << SHIFT_NUM) + 0.5f),
+        (32 - SHIFT_NUM)
+    };
+    return &info;
+}
+
Index: EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/mbed_rtx.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/mbed_rtx.h	(revision 429)
+++ EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/mbed_rtx.h	(revision 429)
@@ -0,0 +1,48 @@
+/* mbed Microcontroller Library
+ * Copyright (c) 2016 ARM Limited
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+#ifndef MBED_MBED_RTX_H
+#define MBED_MBED_RTX_H
+
+#include <stdint.h>
+
+#if defined(TARGET_RZ_A1H) || defined(TARGET_VK_RZ_A1H) || defined(TARGET_GR_LYCHEE)
+
+#if defined(__CC_ARM)
+    extern char Image$$ARM_LIB_STACK$$Base[];
+    extern char Image$$ARM_LIB_STACK$$ZI$$Limit[];
+    extern char Image$$ARM_LIB_HEAP$$Base[];
+    #define ISR_STACK_START       ((unsigned char*)Image$$ARM_LIB_STACK$$Base)
+    #define ISR_STACK_SIZE        ((uint32_t)((uint32_t)Image$$ARM_LIB_STACK$$ZI$$Limit - (uint32_t)Image$$ARM_LIB_STACK$$Base))
+    #define INITIAL_SP            (Image$$ARM_LIB_STACK$$ZI$$Limit)
+    #define HEAP_START            ((unsigned char*)Image$$ARM_LIB_HEAP$$Base)
+    #define HEAP_SIZE             ((uint32_t)((uint32_t)ISR_STACK_START - (uint32_t)HEAP_START))
+#elif defined(__GNUC__)
+    extern uint32_t               __StackTop;
+    extern uint32_t               __StackLimit;
+    extern uint32_t               __end__;
+    #define ISR_STACK_START       ((unsigned char*)&__StackLimit)
+    #define ISR_STACK_SIZE        ((uint32_t)((uint32_t)&__StackTop - (uint32_t)&__StackLimit))
+    #define INITIAL_SP            (&__StackTop)
+    #define HEAP_START            ((unsigned char*)&__end__)
+    #define HEAP_SIZE             ((uint32_t)((uint32_t)ISR_STACK_START - (uint32_t)HEAP_START))
+#elif defined(__ICCARM__)
+    /* No region declarations needed */
+#else
+    #error "no toolchain defined"
+#endif
+#endif
+
+#endif  // MBED_MBED_RTX_H
Index: EcnlProtoTool/trunk/asp3_dcre/sample/Makefile
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/sample/Makefile	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/sample/Makefile	(revision 429)
@@ -6,5 +6,5 @@
 #  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 #                              Toyohashi Univ. of Technology, JAPAN
-#  Copyright (C) 2006-2016 by Embedded and Real-Time Systems Laboratory
+#  Copyright (C) 2006-2019 by Embedded and Real-Time Systems Laboratory
 #              Graduate School of Information Science, Nagoya Univ., JAPAN
 # 
@@ -91,4 +91,9 @@
 
 #
+#  TECS関係ファイルのディレクトリの定義
+#
+TECSDIR = @(TECSDIR)
+
+#
 #  トレースログを取得するかどうかの定義
 #
@@ -119,7 +124,8 @@
 
 #
-#  依存関係ファイルを置くディレクトリの定義
-#
-DEPDIR = @(DEPDIR)
+#  中間オブジェクトファイルと依存関係ファイルを置くディレクトリの定義
+#
+OBJDIR = @(OBJDIR)
+DEPDIR = @(OBJDIR)
 
 #
@@ -149,4 +155,6 @@
 	-include $(TECSGENDIR)/Makefile.tecsgen
 endif
+
+TINETDIR = 
 
 #
@@ -191,5 +199,5 @@
 	APPL_COBJS := @(APPLOBJS)
 endif
-APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o
+APPL_COBJS := $(APPL_COBJS) log_output.o vasyslog.o t_perror.o strerror.o mbed_stub.o
 APPL_CFLAGS := $(APPL_CFLAGS)
 ifdef APPLDIRS
@@ -197,36 +205,35 @@
 endif
 
-#
-#  ネットワークサービスの定義
-#
-
-NO_USE_TINET_LIBRARY = true
-
-#  ネットワークインタフェースの選択、何れか一つ選択する。
-
-NET_IF = ether
-
-#  イーサネット・ディバイスドライバの選択
-
-NET_DEV = if_mbed
-
-#  ネットワーク層の選択
-
-#SUPPORT_INET6 = true
-SUPPORT_INET4 = true
-
-#  API に組込む機能の選択
-
-#API_CFG_IP4MAPPED_ADDR = true
-
-#  トランスポート層の選択
-
-SUPPORT_TCP = true
-#SUPPORT_UDP = true
-
-#
-#  システムサービスの Makefile のインクルード
-#
-include $(SRCDIR)/tinet/Makefile.tinet
+ifdef TINETDIR
+	#
+	#  ネットワークサービスの定義
+	#
+	NO_USE_TINET_LIBRARY = true
+
+	#  ネットワークインタフェースの選択、何れか一つ選択する。
+	NET_IF = ether
+
+	#  イーサネット・ディバイスドライバの選択
+	NET_DEV = if_mbed
+
+	#  ネットワーク層の選択
+	#SUPPORT_INET6 = true
+	SUPPORT_INET4 = true
+
+	#  API に組込む機能の選択
+	#API_CFG_IP4MAPPED_ADDR = true
+
+	#  トランスポート層の選択
+	SUPPORT_TCP = true
+	#SUPPORT_UDP = true
+
+	# IGMPを有効に設定
+	#SUPPORT_IGMP = true
+
+	#
+	#  ネットワークサービスの Makefile のインクルード
+	#
+	include $(SRCDIR)/$(TINETDIR)/Makefile.tinet
+endif
 
 #
@@ -236,15 +243,23 @@
 				$(SYSSVC_DIRS) $(SRCDIR)/syssvc
 SYSSVC_ASMOBJS := $(SYSSVC_ASMOBJS)
-SYSSVC_COBJS := $(INIT_TECS_COBJ) $(TECS_COBJS) $(SYSSVC_COBJS) \
-				@(SYSSVCOBJS) $(CXXRTS)
+SYSSVC_COBJS := $(SYSSVC_COBJS) $(TECS_COBJS) \
+				$(INIT_TECS_COBJ) $(CXXRTS)
 SYSSVC_CFLAGS := $(SYSSVC_CFLAGS)
 INCLUDES := $(INCLUDES) -I$(TECSGENDIR) -I$(SRCDIR)/tecs_kernel
 
 #
+#  トレースログ記録のサンプルコードに関する定義
+#
+ifdef ENABLE_TRACE
+	COPTS := $(COPTS) -DTOPPERS_ENABLE_TRACE
+	SYSSVC_DIRS := $(SYSSVC_DIRS) $(SRCDIR)/arch/tracelog
+endif
+
+#
 #  ターゲットファイル
 #
 .PHONY: all
 ifndef OMIT_TECS
-all: tecs
+all: tecs | $(DEPDIR)
 #	@$(MAKE) check
 	@$(MAKE) check $(OBJNAME).bin
@@ -261,13 +276,21 @@
 #  コンフィギュレータに関する定義
 #
-CFG_TABS := --api-table $(SRCDIR)/tinet/tcpip_api.def:tcpip \
+CFG_KERNEL := --kernel asp
+ifndef TINETDIR
+  CFG_TRB := -T $(TARGETDIR)/target_kernel.trb
+  CFG_TABS := --api-table $(SRCDIR)/kernel/kernel_api.def \
+			--symval-table $(SRCDIR)/kernel/kernel_sym.def $(CFG_TABS)
+else
+  CFG_TRB := -T $(TINET_ROOT)/tinet.trb:tcpip -T $(TARGETDIR)/target_kernel.trb:kernel
+  CFG_TABS := --api-table $(TINET_ROOT)/tcpip_api.def:tcpip \
 			--api-table $(SRCDIR)/kernel/kernel_api.def:kernel \
-			--symval-table $(SRCDIR)/tinet/tcpip_sym.def \
+			--symval-table $(TINET_ROOT)/tcpip_sym.def \
 			--symval-table $(SRCDIR)/kernel/kernel_sym.def $(CFG_TABS)
+endif
 CFG_ASMOBJS := $(CFG_ASMOBJS)
 CFG_COBJS := kernel_cfg.o $(CFG_COBJS)
-CFG_OBJS := $(CFG_ASMOBJS) $(CFG_COBJS)
+CFG_CFLAGS := -DTOPPERS_CB_TYPE_ONLY $(CFG_CFLAGS)
+
 CFG2_OUT_SRCS := kernel_cfg.h kernel_cfg.c $(CFG2_OUT_SRCS)
-CFG_CFLAGS := -DTOPPERS_CB_TYPE_ONLY $(CFG_CFLAGS)
 
 #
@@ -300,7 +323,5 @@
 					$(foreach file,$(KERNEL_FCSRCS),$(file:.c=.o))
 endif
-ifdef OMIT_OFFSET_H
-	OFFSET_H =
-else
+ifdef TARGET_OFFSET_TRB
 	OFFSET_H = offset.h
 endif
@@ -318,5 +339,5 @@
 endif
 ifndef TARGET_TCPIP_TRB
-	TARGET_TCPIP_TRB := $(SRCDIR)/tinet/tinet.trb
+	TARGET_TCPIP_TRB := $(SRCDIR)/$(TINETDIR)/tinet.trb
 endif
 
@@ -330,9 +351,24 @@
 
 #
+#  中間オブジェクトファイルを置くディレクトリの処理
+#
+APPL_ASMOBJS   := $(addprefix $(OBJDIR)/, $(APPL_ASMOBJS))
+APPL_CXXOBJS   := $(addprefix $(OBJDIR)/, $(APPL_CXXOBJS))
+APPL_COBJS     := $(addprefix $(OBJDIR)/, $(APPL_COBJS))
+SYSSVC_ASMOBJS := $(addprefix $(OBJDIR)/, $(SYSSVC_ASMOBJS))
+SYSSVC_COBJS   := $(addprefix $(OBJDIR)/, $(SYSSVC_COBJS))
+KERNEL_ASMOBJS := $(addprefix $(OBJDIR)/, $(KERNEL_ASMOBJS))
+KERNEL_COBJS   := $(addprefix $(OBJDIR)/, $(KERNEL_COBJS))
+KERNEL_LCOBJS  := $(addprefix $(OBJDIR)/, $(KERNEL_LCOBJS))
+CFG_ASMOBJS    := $(addprefix $(OBJDIR)/, $(CFG_ASMOBJS))
+CFG_COBJS      := $(addprefix $(OBJDIR)/, $(CFG_COBJS))
+
+#
 #  コンパイルのための変数の定義
 #
+APPL_OBJS = $(APPL_ASMOBJS) $(APPL_COBJS) $(APPL_CXXOBJS)
+SYSSVC_OBJS = $(SYSSVC_ASMOBJS) $(SYSSVC_COBJS)
 KERNEL_LIB_OBJS = $(KERNEL_ASMOBJS) $(KERNEL_COBJS) $(KERNEL_LCOBJS)
-SYSSVC_OBJS = $(SYSSVC_ASMOBJS) $(SYSSVC_COBJS)
-APPL_OBJS = $(APPL_ASMOBJS) $(APPL_COBJS) $(APPL_CXXOBJS)
+CFG_OBJS = $(CFG_ASMOBJS) $(CFG_COBJS)
 ALL_OBJS = $(START_OBJS) $(APPL_OBJS) $(SYSSVC_OBJS) $(CFG_OBJS) \
 											$(END_OBJS) $(HIDDEN_OBJS)
@@ -368,5 +404,5 @@
 tecs $(TECSGEN_SRCS) $(TECS_HEADERS): $(TECSGEN_TIMESTAMP) ;
 $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS_IMPORTS)
-	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(TECS_CPP)" -g $(TECSGENDIR)
+	$(TECSGEN) $< -R $(INCLUDES) --cpp "$(subst ", \", $(TECS_CPP))" -g $(TECSGENDIR)
 
 #
@@ -375,10 +411,10 @@
 cfg1_out.c cfg1_out.db: cfg1_out.timestamp ;
 cfg1_out.timestamp: $(APPL_CFG) $(TECSGEN_TIMESTAMP)
-	$(CFG) --pass 1 --kernel asp $(INCLUDES) $(CFG_TABS) \
+	$(CFG) --pass 1 $(CFG_KERNEL) $(INCLUDES) $(CFG_TABS) \
 						-M $(DEPDIR)/cfg1_out_c.d $(TARGET_KERNEL_CFG) $<
 
-$(CFG1_OUT): $(START_OBJS) cfg1_out.o $(CFG_DMY) $(END_OBJS) $(HIDDEN_OBJS)
+$(CFG1_OUT): $(START_OBJS) $(OBJDIR)/cfg1_out.o $(CFG_DMY) $(END_OBJS) $(HIDDEN_OBJS)
 	$(LINK) $(CFLAGS) $(LDFLAGS) $(CFG1_OUT_LDFLAGS) -o $(CFG1_OUT) \
-						$(START_OBJS) cfg1_out.o $(CFG_DMY) $(END_OBJS)
+						$(START_OBJS) $(OBJDIR)/cfg1_out.o $(CFG_DMY) $(LIBS) $(END_OBJS)
 
 cfg1_out.syms: $(CFG1_OUT)
@@ -390,5 +426,5 @@
 $(CFG2_OUT_SRCS) cfg2_out.db: kernel_cfg.timestamp ;
 kernel_cfg.timestamp: cfg1_out.db cfg1_out.syms cfg1_out.srec
-	$(CFG) --pass 2 --kernel asp $(INCLUDES) -T $(TARGET_TCPIP_TRB):tcpip -T $(TARGET_KERNEL_TRB):kernel
+	$(CFG) --pass 2 $(CFG_KERNEL) $(INCLUDES) $(CFG_TRB)
 
 #
@@ -397,5 +433,5 @@
 $(OFFSET_H): offset.timestamp ;
 offset.timestamp: cfg1_out.db cfg1_out.syms cfg1_out.srec
-	$(CFG) --pass 2 -O --kernel asp $(INCLUDES) -T $(TARGET_OFFSET_TRB) \
+	$(CFG) --pass 2 -O $(CFG_KERNEL) $(INCLUDES) -T $(TARGET_OFFSET_TRB) \
 				--rom-symbol cfg1_out.syms --rom-image cfg1_out.srec
 
@@ -409,7 +445,15 @@
 
 #
+#  並列makeのための依存関係の定義
+#
+$(APPL_OBJS) $(SYSSVC_OBJS): | kernel_cfg.timestamp
+$(APPL_ASMOBJS) $(SYSSVC_ASMOBJS) $(KERNEL_ASMOBJS) $(CFG_ASMOBJS): \
+														| offset.timestamp
+
+#
 #  特別な依存関係の定義
 #
-tBannerMain.o: $(filter-out tBannerMain.o,$(ALL_OBJS)) $(LIBS_DEP)
+$(OBJDIR)/@(BANNEROBJ): $(filter-out $(OBJDIR)/@(BANNEROBJ),$(ALL_OBJS)) \
+																$(LIBS_DEP)
 
 #
@@ -417,7 +461,13 @@
 #
 $(OBJFILE): $(ALL_OBJS) $(LIBS_DEP)
-	$(LINK) $(CFLAGS) $(LDFLAGS) $(OBJ_LDFLAGS) -o $(OBJFILE) \
+	$(LINK) $(CFLAGS) $(LDFLAGS) $(OBJ_LDFLAGS) -o $(OBJFILE) -Wl,-Map=$(OBJNAME).map,--cref \
 			$(START_OBJS) $(APPL_OBJS) $(SYSSVC_OBJS) $(CFG_OBJS) \
 			$(ALL_LIBS) $(END_OBJS)
+
+#
+#  依存関係フォルダの作成
+#
+$(DEPDIR):
+	mkdir $@
 
 #
@@ -445,5 +495,5 @@
 check: check.timestamp ;
 check.timestamp: cfg2_out.db $(OBJNAME).syms $(OBJNAME).srec
-	$(CFG) --pass 3 --kernel asp -O $(INCLUDES) -T $(TARGET_CHECK_TRB) \
+	$(CFG) --pass 3 $(CFG_KERNEL) -O $(INCLUDES) -T $(TARGET_CHECK_TRB) \
 				--rom-symbol $(OBJNAME).syms --rom-image $(OBJNAME).srec
 	@echo "configuration check passed"
@@ -454,5 +504,5 @@
 .PHONY: clean
 clean:
-	rm -f \#* *~ *.o $(DEPDIR)/*.d $(CLEAN_FILES) check.timestamp
+	rm -f \#* *~ $(OBJDIR)/*.o $(DEPDIR)/*.d $(CLEAN_FILES) check.timestamp
 	rm -f $(OBJFILE) $(OBJNAME).syms $(OBJNAME).srec $(OBJNAME).bin
 	rm -f kernel_cfg.timestamp $(CFG2_OUT_SRCS) cfg2_out.db
@@ -468,5 +518,5 @@
 cleankernel:
 	rm -f $(OFFSET_H) $(KERNEL_LIB_OBJS)
-	rm -f $(KERNEL_LIB_OBJS:%.o=$(DEPDIR)/%.d)
+	rm -f $(KERNEL_LIB_OBJS:$(OBJDIR)/%.o=$(DEPDIR)/%.d)
 
 .PHONY: realclean
@@ -480,15 +530,15 @@
 #  のみを付けてコンパイルする．
 #
-ALL_CFG_COBJS = $(CFG_COBJS) cfg1_out.o
+ALL_CFG_COBJS = $(CFG_COBJS) $(OBJDIR)/cfg1_out.o
 ALL_CFG_ASMOBJS = $(CFG_ASMOBJS)
 
-$(ALL_CFG_COBJS): %.o: %.c
-	$(CC) -c -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(CFG_CFLAGS) $<
-
-$(ALL_CFG_COBJS:.o=.s): %.s: %.c
-	$(CC) -S $(CFLAGS) $(CFG_CFLAGS) $<
-
-$(ALL_CFG_ASMOBJS): %.o: %.S
-	$(CC) -c -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(CFG_CFLAGS) $<
+$(ALL_CFG_COBJS): $(OBJDIR)/%.o: %.c
+	$(CC) -c -o $@ -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(CFG_CFLAGS) $<
+
+$(ALL_CFG_COBJS:$(OBJDIR)/%.o=%.s): %.s: %.c
+	$(CC) -S -o $@ $(CFLAGS) $(CFG_CFLAGS) $<
+
+$(ALL_CFG_ASMOBJS): $(OBJDIR)/%.o: %.S
+	$(CC) -c -o $@ -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(CFG_CFLAGS) $<
 
 #
@@ -541,64 +591,64 @@
 #  コンパイルルールの定義
 #
-$(KERNEL_COBJS): %.o: %.c
-	$(CC) -c -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(KERNEL_CFLAGS) $<
-
-$(KERNEL_COBJS:.o=.s): %.s: %.c
-	$(CC) -S $(CFLAGS) $(KERNEL_CFLAGS) $<
-
-$(KERNEL_LCOBJS): %.o:
-	$(CC) -DTOPPERS_$(*F) -o $@ -c -MD -MP -MF $(DEPDIR)/$*.d \
+$(KERNEL_COBJS): $(OBJDIR)/%.o: %.c
+	$(CC) -c -o $@ -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(KERNEL_CFLAGS) $<
+
+$(KERNEL_COBJS:$(OBJDIR)/%.o=%.s): %.s: %.c
+	$(CC) -S -o $@ $(CFLAGS) $(KERNEL_CFLAGS) $<
+
+$(KERNEL_LCOBJS): $(OBJDIR)/%.o:
+	$(CC) -c -o $@ -DTOPPERS_$(*F) -MD -MP -MF $(DEPDIR)/$*.d \
 									$(CFLAGS) $(KERNEL_CFLAGS) $<
 
-$(KERNEL_LCOBJS:.o=.s): %.s:
-	$(CC) -DTOPPERS_$(*F) -o $@ -S $(CFLAGS) $(KERNEL_CFLAGS) $<
-
-$(KERNEL_ASMOBJS): %.o: %.S
-	$(CC) -c -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(KERNEL_CFLAGS) $<
-
-$(SYSSVC_COBJS): %.o: %.c
-	$(CC) -c -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(SYSSVC_CFLAGS) $<
-
-$(SYSSVC_COBJS:.o=.s): %.s: %.c
-	$(CC) -S $(CFLAGS) $(SYSSVC_CFLAGS) $<
-
-$(SYSSVC_ASMOBJS): %.o: %.S
-	$(CC) -c -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(SYSSVC_CFLAGS) $<
-
-$(APPL_COBJS): %.o: %.c
-	$(CC) -c -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(APPL_CFLAGS) $<
-
-$(APPL_COBJS:.o=.s): %.s: %.c
-	$(CC) -S $(CFLAGS) $(APPL_CFLAGS) $<
-
-$(APPL_CXXOBJS): %.o: %.cpp
-	$(CXX) -c -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(APPL_CFLAGS) $<
-
-$(APPL_CXXOBJS:.o=.s): %.s: %.cpp
-	$(CXX) -S $(CFLAGS) $(APPL_CFLAGS) $<
-
-$(APPL_ASMOBJS): %.o: %.S
-	$(CC) -c -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(APPL_CFLAGS) $<
+$(KERNEL_LCOBJS:$(OBJDIR)/%.o=%.s): %.s:
+	$(CC) -S -o $@ -DTOPPERS_$(*F) $(CFLAGS) $(KERNEL_CFLAGS) $<
+
+$(KERNEL_ASMOBJS): $(OBJDIR)/%.o: %.S
+	$(CC) -c -o $@ -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(KERNEL_CFLAGS) $<
+
+$(SYSSVC_COBJS): $(OBJDIR)/%.o: %.c
+	$(CC) -c -o $@ -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(SYSSVC_CFLAGS) $<
+
+$(SYSSVC_COBJS:$(OBJDIR)/%.o=%.s): %.s: %.c
+	$(CC) -S -o $@ $(CFLAGS) $(SYSSVC_CFLAGS) $<
+
+$(SYSSVC_ASMOBJS): $(OBJDIR)/%.o: %.S
+	$(CC) -c -o $@ -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(SYSSVC_CFLAGS) $<
+
+$(APPL_COBJS): $(OBJDIR)/%.o: %.c
+	$(CC) -c -o $@ -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(APPL_CFLAGS) $<
+
+$(APPL_COBJS:$(OBJDIR)/%.o=%.s): %.s: %.c
+	$(CC) -S -o $@ $(CFLAGS) $(APPL_CFLAGS) $<
+
+$(APPL_CXXOBJS): $(OBJDIR)/%.o: %.cpp
+	$(CXX) -c -o $@ -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(APPL_CFLAGS) $<
+
+$(APPL_CXXOBJS:$(OBJDIR)/%.o=%.s): %.s: %.cpp
+	$(CXX) -S -o $@ $(CFLAGS) $(APPL_CFLAGS) $<
+
+$(APPL_ASMOBJS): $(OBJDIR)/%.o: %.S
+	$(CC) -c -o $@ -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $(APPL_CFLAGS) $<
 
 #
 #  デフォルトコンパイルルールを上書き
 #
-%.o: %.c
+$(OBJDIR)/%.o: %.c
 	@echo "*** Default compile rules should not be used."
-	$(CC) -c -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $<
+	$(CC) -c -o $@ -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $<
 
 %.s: %.c
 	@echo "*** Default compile rules should not be used."
-	$(CC) -S $(CFLAGS) $<
-
-%.o: %.cpp
+	$(CC) -S -o $@ $(CFLAGS) $<
+
+$(OBJDIR)/%.o: %.cpp
 	@echo "*** Default compile rules should not be used."
-	$(CXX) -c -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $<
+	$(CXX) -c -o $@ -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $<
 
 %.s: %.cpp
 	@echo "*** Default compile rules should not be used."
-	$(CXX) -S $(CFLAGS) $<
-
-%.o: %.S
+	$(CXX) -S -o $@ $(CFLAGS) $<
+
+$(OBJDIR)/%.o: %.S
 	@echo "*** Default compile rules should not be used."
-	$(CC) -c -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $<
+	$(CC) -c -o $@ -MD -MP -MF $(DEPDIR)/$*.d $(CFLAGS) $<
Index: EcnlProtoTool/trunk/asp3_dcre/sample/sample1.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/sample/sample1.c	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/sample/sample1.c	(revision 429)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2004-2016 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2004-2019 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -48,23 +48,28 @@
  *  プログラムの概要:
  *
- *  ユーザインタフェースを受け持つメインタスク（タスクID: MAIN_TASK，優
- *  先度: MAIN_PRIORITY）と，3つの並行実行されるタスク（タスクID:
- *  TASK1～TASK3，初期優先度: MID_PRIORITY）で構成される．また，起動周
- *  期が2秒の周期ハンドラ（周期ハンドラID: CYCHDR1）を用いる．
- *
- *  並行実行されるタスクは，task_loop回空ループを実行する度に，タスクが
- *  実行中であることをあらわすメッセージを表示する．空ループを実行する
- *  のは，空ループなしでメッセージを出力すると，多量のメッセージが出力
- *  され，プログラムの動作が確認しずらくなるためである．また，低速なシ
+ *  ユーザインタフェースを受け持つメインタスク（MAIN_TASK）と，3つの並
+ *  行実行されるタスク（TASK1～TASK3），例外処理タスク（EXC_TASK）の5
+ *  つのタスクを用いる．これらの他に，システムログタスクが動作する．ま
+ *  た，周期ハンドラ，アラームハンドラ，割込みサービスルーチン，CPU例
+ *  外ハンドラをそれぞれ1つ用いる．
+ *
+ *  並行実行されるタスクは，task_loop回のループを実行する度に，タスク
+ *  が実行中であることをあらわすメッセージを表示する．ループを実行する
+ *  のは，プログラムの動作を確認しやすくするためである．また，低速なシ
  *  リアルポートを用いてメッセージを出力する場合に，すべてのメッセージ
  *  が出力できるように，メッセージの量を制限するという理由もある．
  *
- *  周期ハンドラは，三つの優先度（HIGH_PRIORITY，MID_PRIORITY，
- *  LOW_PRIORITY）のレディキューを回転させる．プログラムの起動直後は，
- *  周期ハンドラは停止状態になっている．
- *
- *  メインタスクは，シリアルI/Oポートからの文字入力を行い（文字入力を
- *  待っている間は，並行実行されるタスクが実行されている），入力された
- *  文字に対応した処理を実行する．入力された文字と処理の関係は次の通り．
+ *  周期ハンドラ，アラームハンドラ，割込みサービスルーチンは，3つの優
+ *  先度（HIGH_PRIORITY，MID_PRIORITY，LOW_PRIORITY）のレディキューを
+ *  回転させる．周期ハンドラは，プログラムの起動直後は停止状態になって
+ *  いる．
+ *
+ *  CPU例外ハンドラは，CPU例外からの復帰が可能な場合には，例外処理タス
+ *  クを起動する．例外処理タスクは，CPU例外を起こしたタスクに対して，
+ *  終了要求を行う．
+ *
+ *  メインタスクは，シリアルポートからの文字入力を行い（文字入力を待っ
+ *  ている間は，並行実行されるタスクが実行されている），入力された文字
+ *  に対応した処理を実行する．入力された文字と処理の関係は次の通り．
  *  Control-Cまたは'Q'が入力されると，プログラムを終了する．
  *
@@ -97,12 +102,11 @@
  *  'b' : アラームハンドラを5秒後に起動するよう動作開始させる．
  *  'B' : アラームハンドラを動作停止させる．
- *  'z' : 対象タスクにCPU例外を発生させる（タスクを終了させる）．
- *  'Z' : 対象タスクにCPUロック状態でCPU例外を発生させる（プログラムを
- *        終了する）．
+ *  'z' : 対象タスクにCPU例外を発生させる（ターゲットによっては復帰可能）．
+ *  'Z' : 対象タスクにCPUロック状態でCPU例外を発生させる（復帰不可能）．
  *  '@' : タスク3をacre_tskにより生成する．
  *  '!' : 対象タスクをdel_tskにより削除する．
  *  '$' : アラームハンドラをacre_almにより生成する．
  *  '#' : アラームハンドラをdel_almにより削除する．
- *  'V' : fch_hrtで高分解能タイマを2回読む．
+ *  'V' : 短いループを挟んで，fch_hrtで高分解能タイマを2回読む．
  *  'v' : 発行したシステムコールを表示する（デフォルト）．
  *  'q' : 発行したシステムコールを表示しない．
@@ -116,5 +120,4 @@
 #include "kernel_cfg.h"
 #include "sample1.h"
-/*#include "sample1n.h"*/
 
 /*
@@ -132,4 +135,22 @@
 
 /*
+ *  プロセッサ時間の消費
+ *
+ *  ループによりプロセッサ時間を消費する．最適化ができないように，ルー
+ *  プ内でvolatile変数を読み込む．
+ */
+static volatile long_t	volatile_var;
+
+static void
+consume_time(ulong_t ctime)
+{
+	ulong_t		i;
+
+	for (i = 0; i < ctime; i++) {
+		(void) volatile_var;
+	}
+}
+
+/*
  *  並行実行されるタスクへのメッセージ領域
  */
@@ -144,7 +165,7 @@
  *  並行実行されるタスク
  */
-void task(intptr_t exinf)
-{
-	volatile ulong_t	i;
+void
+task(intptr_t exinf)
+{
 	int_t		n = 0;
 	int_t		tskno = (int_t) exinf;
@@ -155,5 +176,5 @@
 		syslog(LOG_NOTICE, "task%d is running (%03d).   %s",
 										tskno, ++n, graph[tskno-1]);
-		for (i = 0; i < task_loop; i++);
+		consume_time(task_loop);
 		c = message[tskno-1];
 		message[tskno-1] = 0;
@@ -202,9 +223,13 @@
 
 /*
- *  割込みハンドラ
+ *  割込みサービスルーチン
+ *
+ *  HIGH_PRIORITY，MID_PRIORITY，LOW_PRIORITY の各優先度のレディキュー
+ *  を回転させる．
  */
 #ifdef INTNO1
 
-void intno1_isr(intptr_t exinf)
+void
+intno1_isr(intptr_t exinf)
 {
 	intno1_clear();
@@ -235,5 +260,5 @@
 					"sns_dpn() is not true in CPU exception handler.");
 	}
-	syslog(LOG_INFO, "sns_loc = %d sns_dsp = %d xsns_dpn = %d",
+	syslog(LOG_INFO, "sns_loc = %d, sns_dsp = %d, xsns_dpn = %d",
 								sns_loc(), sns_dsp(), xsns_dpn(p_excinf));
 
@@ -244,13 +269,6 @@
 	}
 
-#ifdef PREPARE_RETURN_CPUEXC
-	PREPARE_RETURN_CPUEXC;
 	SVC_PERROR(get_tid(&cpuexc_tskid));
 	SVC_PERROR(act_tsk(EXC_TASK));
-#else /* PREPARE_RETURN_CPUEXC */
-	syslog(LOG_NOTICE, "Sample program ends with exception.");
-	SVC_PERROR(ext_ker());
-	assert(0);
-#endif /* PREPARE_RETURN_CPUEXC */
 }
 
@@ -263,5 +281,6 @@
  *  を回転させる．
  */
-void cyclic_handler(intptr_t exinf)
+void
+cyclic_handler(intptr_t exinf)
 {
 	SVC_PERROR(rot_rdq(HIGH_PRIORITY));
@@ -276,5 +295,6 @@
  *  を回転させる．
  */
-void alarm_handler(intptr_t exinf)
+void
+alarm_handler(intptr_t exinf)
 {
 	SVC_PERROR(rot_rdq(HIGH_PRIORITY));
@@ -286,5 +306,6 @@
  *  例外処理タスク
  */
-void exc_task(intptr_t exinf)
+void
+exc_task(intptr_t exinf)
 {
 	SVC_PERROR(ras_ter(cpuexc_tskid));
@@ -294,5 +315,6 @@
  *  メインタスク
  */
-void main_task(intptr_t exinf)
+void
+main_task(intptr_t exinf)
 {
 	char	c;
@@ -302,5 +324,4 @@
 	PRI		tskpri;
 #ifndef TASK_LOOP
-	volatile ulong_t	i;
 	SYSTIM	stime1, stime2;
 #endif /* TASK_LOOP */
@@ -332,27 +353,26 @@
  	 *  ループ回数の設定
 	 *
-	 *  並行実行されるタスク内での空ループの回数（task_loop）は，空ルー
-	 *  プの実行時間が約0.4秒になるように設定する．この設定のために，
-	 *  LOOP_REF回の空ループの実行時間を，その前後でget_timを呼ぶことで
-	 *  測定し，その測定結果から空ループの実行時間が0.4秒になるループ回
-	 *  数を求め，task_loopに設定する．
+	 *  並行実行されるタスク内でのループの回数（task_loop）は，ループ
+	 *  の実行時間が約0.4秒になるように設定する．この設定のために，
+	 *  LOOP_REF回のループの実行時間を，その前後でget_timを呼ぶことで
+	 *  測定し，その測定結果から空ループの実行時間が0.4秒になるループ
+	 *  回数を求め，task_loopに設定する．
 	 *
-	 *  LOOP_REFは，デフォルトでは1,000,000に設定しているが，想定したよ
-	 *  り遅いプロセッサでは，サンプルプログラムの実行開始に時間がかか
-	 *  りすぎるという問題を生じる．逆に想定したより速いプロセッサでは，
-	 *  LOOP_REF回の空ループの実行時間が短くなり，task_loopに設定する値
-	 *  の誤差が大きくなるという問題がある．
-	 *
-	 *  そこで，そのようなターゲットでは，target_test.hで，LOOP_REFを適
-	 *  切な値に定義するのが望ましい．
+	 *  LOOP_REFは，デフォルトでは1,000,000に設定しているが，想定した
+	 *  より遅いプロセッサでは，サンプルプログラムの実行開始に時間がか
+	 *  かりすぎるという問題を生じる．逆に想定したより速いプロセッサで
+	 *  は，LOOP_REF回のループの実行時間が短くなり，task_loopに設定す
+	 *  る値の誤差が大きくなるという問題がある．そこで，そのようなター
+	 *  ゲットでは，target_test.hで，LOOP_REFを適切な値に定義すること
+	 *  とする．
 	 *
 	 *  また，task_loopの値を固定したい場合には，その値をTASK_LOOPにマ
-	 *  クロ定義する．TASK_LOOPがマクロ定義されている場合，上記の測定を
-	 *  行わずに，TASK_LOOPに定義された値を空ループの回数とする．
+	 *  クロ定義する．TASK_LOOPがマクロ定義されている場合，上記の測定
+	 *  を行わずに，TASK_LOOPに定義された値をループの回数とする．
 	 *
-	 * ターゲットによっては，空ループの実行時間の1回目の測定で，本来よ
-	 * りも長めになるものがある．このようなターゲットでは，MEASURE_TWICE
-	 * をマクロ定義することで，1回目の測定結果を捨てて，2回目の測定結果
-	 * を使う．
+	 *  ターゲットによっては，ループの実行時間の1回目の測定で，本来より
+	 *  も長めになるものがある．このようなターゲットでは，MEASURE_TWICE
+	 *  をマクロ定義することで，1回目の測定結果を捨てて，2回目の測定結
+	 *  果を使う．
 	 */
 #ifdef TASK_LOOP
@@ -361,13 +381,11 @@
 
 #ifdef MEASURE_TWICE
-	task_loop = LOOP_REF;
 	SVC_PERROR(get_tim(&stime1));
-	for (i = 0; i < task_loop; i++);
+	consume_time(LOOP_REF);
 	SVC_PERROR(get_tim(&stime2));
 #endif /* MEASURE_TWICE */
 
-	task_loop = LOOP_REF;
 	SVC_PERROR(get_tim(&stime1));
-	for (i = 0; i < task_loop; i++);
+	consume_time(LOOP_REF);
 	SVC_PERROR(get_tim(&stime2));
 	task_loop = LOOP_REF * 400LU / (ulong_t)(stime2 - stime1) * 1000LU;
@@ -477,17 +495,17 @@
 			break;
 		case 'c':
-			syslog(LOG_INFO, "#sta_cyc(1)");
+			syslog(LOG_INFO, "#sta_cyc(CYCHDR1)");
 			SVC_PERROR(sta_cyc(CYCHDR1));
 			break;
 		case 'C':
-			syslog(LOG_INFO, "#stp_cyc(1)");
+			syslog(LOG_INFO, "#stp_cyc(CYCHDR1)");
 			SVC_PERROR(stp_cyc(CYCHDR1));
 			break;
 		case 'b':
-			syslog(LOG_INFO, "#sta_alm(1, 5000000)");
+			syslog(LOG_INFO, "#sta_alm(ALMHDR1, 5000000)");
 			SVC_PERROR(sta_alm(ALMHDR1, 5000000));
 			break;
 		case 'B':
-			syslog(LOG_INFO, "#stp_alm(1)");
+			syslog(LOG_INFO, "#stp_alm(ALMHDR1)");
 			SVC_PERROR(stp_alm(ALMHDR1));
 			break;
@@ -499,7 +517,10 @@
 			ctsk.stksz = STACK_SIZE;
 			ctsk.stk = NULL;
-			SVC_PERROR(TASK3 = acre_tsk(&ctsk));
-			syslog(LOG_NOTICE, "task3 is created with tskid = %d.",
+			SVC_PERROR(ercd = acre_tsk(&ctsk));
+			if (ercd >= 0) {
+				TASK3 = ercd;
+				syslog(LOG_NOTICE, "task3 is created with tskid = %d.",
 														(int_t) TASK3);
+			}
 			break;
 		case '!':
@@ -512,10 +533,13 @@
 			calm.nfyinfo.nfy.handler.exinf = (intptr_t) 0;
 			calm.nfyinfo.nfy.handler.tmehdr = (TMEHDR) alarm_handler;
-			SVC_PERROR(ALMHDR1 = acre_alm(&calm));
-			syslog(LOG_NOTICE, "alarm handler is created with almid = %d.",
+			SVC_PERROR(ercd = acre_alm(&calm));
+			if (ercd >= 0) {
+				ALMHDR1 = ercd;
+				syslog(LOG_NOTICE, "alarm handler is created with almid = %d.",
 														(int_t) ALMHDR1);
+			}
 			break;
 		case '#':
-			syslog(LOG_INFO, "#del_alm(1)");
+			syslog(LOG_INFO, "#del_alm(ALMHDR1)");
 			SVC_PERROR(del_alm(ALMHDR1));
 			break;
@@ -523,7 +547,8 @@
 		case 'V':
 			hrtcnt1 = fch_hrt();
+			consume_time(1000LU);
 			hrtcnt2 = fch_hrt();
 			syslog(LOG_NOTICE, "hrtcnt1 = %tu, hrtcnt2 = %tu",
-										hrtcnt1, hrtcnt2);
+								(uint32_t) hrtcnt1, (uint32_t) hrtcnt2);
 			break;
 
@@ -552,5 +577,10 @@
 #endif /* BIT_KERNEL */
 
+		case '\003':
+		case 'Q':
+			break;
+
 		default:
+			syslog(LOG_INFO, "Unknown command: '%c'.", c);
 			break;
 		}
Index: EcnlProtoTool/trunk/asp3_dcre/sample/sample1.cdl
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/sample/sample1.cdl	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/sample/sample1.cdl	(revision 429)
@@ -30,5 +30,29 @@
 
 /*
- *  システムログ機能の組上げ記述
+ *		システムログ機能のアダプタの組上げ記述
+ *
+ *  システムログ機能のアダプタは，C言語で記述されたコードから，TECSベー
+ *  スのシステムログ機能を呼び出すためのセルである．システムログ機能の
+ *  サービスコール（syslog，syslog_0～syslog_5，t_perrorを含む）を呼び
+ *  出さない場合には，以下のセルの組上げ記述を削除してよい．
+ */
+cell tSysLogAdapter SysLogAdapter {
+	cSysLog = SysLog.eSysLog;
+};
+
+/*
+ *		シリアルインタフェースドライバのアダプタの組上げ記述
+ *
+ *  シリアルインタフェースドライバのアダプタは，C言語で記述されたコー
+ *  ドから，TECSベースのシリアルインタフェースドライバを呼び出すための
+ *  セルである．シリアルインタフェースドライバのサービスコールを呼び出
+ *  さない場合には，以下のセルの組上げ記述を削除してよい．
+ */
+cell tSerialAdapter SerialAdapter {
+	cSerialPort[0] = SerialPort1.eSerialPort;
+};
+
+/*
+ *		システムログ機能の組上げ記述
  *
  *  システムログ機能を外す場合には，以下のセルの組上げ記述を削除し，コ
@@ -49,17 +73,5 @@
 
 /*
- *  C言語で記述されたアプリケーションから，TECSベースのシステムログ機能
- *  を呼び出すためのアダプタの組上げ記述
- *
- *  システムログ機能のサービスコール（syslog関数とsyslog_0関数～syslog_5
- *  関数以外のもの）ルをC言語で記述されたアプリケーションから呼び出さな
- *  い場合には，以下のセルの組上げ記述を削除すればよい．
- */
-cell tSysLogAdapter SysLogAdapter {
-	cSysLog = SysLog.eSysLog;
-};
-
-/*
- *  シリアルインタフェースドライバの組上げ記述
+ *		シリアルインタフェースドライバの組上げ記述
  *
  *  シリアルインタフェースドライバを外す場合には，以下のセルの組上げ記
@@ -78,17 +90,5 @@
 
 /*
- *  C言語で記述されたアプリケーションから，TECSベースのシリアルインタ
- *  フェースドライバを呼び出すためのアダプタの組上げ記述
- *
- *  シリアルインタフェースドライバのサービスコールをC言語で記述されたア
- *  プリケーションから呼び出さない場合には，以下のセルの組上げ記述を削
- *  除すればよい．
- */
-cell tSerialAdapter SerialAdapter {
-	cSerialPort[0] = SerialPort1.eSerialPort;
-};
-
-/*
- *  システムログタスクの組上げ記述
+ *		システムログタスクの組上げ記述
  *
  *  システムログタスクを外す場合には，以下のセルの組上げ記述を削除すれ
@@ -111,5 +111,5 @@
 
 /*
- *  カーネル起動メッセージ出力の組上げ記述
+ *		カーネル起動メッセージ出力の組上げ記述
  *
  *  カーネル起動メッセージの出力を外す場合には，以下のセルの組上げ記述
Index: EcnlProtoTool/trunk/asp3_dcre/sample/sample1.cfg
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/sample/sample1.cfg	(revision 428)
+++ EcnlProtoTool/trunk/asp3_dcre/sample/sample1.cfg	(revision 429)
@@ -21,3 +21,3 @@
 DEF_EXC(CPUEXC1, { TA_NULL, cpuexc_handler });
 #endif /* CPUEXC1 */
-DEF_KMM({ KMM_SIZE, NULL });
+DEF_MPK({ MPK_SIZE, NULL });
